package org.nfunk.jep.function;

import java.util.Stack;
import org.nfunk.jep.ParseException;
import org.nfunk.jep.type.Complex;

public class Tangent extends PostfixMathCommand {
  public void run(Stack paramStack) throws ParseException {
    checkStack(paramStack);
    Object object = paramStack.pop();
    paramStack.push(tan(object));
  }
  
  public Object tan(Object paramObject) throws ParseException {
    if (paramObject instanceof Complex)
      return ((Complex)paramObject).tan(); 
    if (paramObject instanceof Number)
      return new Double(Math.tan(((Number)paramObject).doubleValue())); 
    throw new ParseException("Invalid parameter type");
  }
}
